# OpalMediaOptionEnum Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalMediaOptionEnum:

[legend]
Collaboration diagram for OpalMediaOptionEnum:
[legend]

## Public Member Functions

| OpalMediaOptionEnum (const char *name, bool readOnly)
| OpalMediaOptionEnum (const char *name, bool readOnly, const char *const *enumerations, PINDEX count, MergeType merge=EqualMerge, PINDEX value=0)
virtual PObject * | Clone () const
virtual void | PrintOn (ostream &strm) const
virtual void | ReadFrom (istream &strm)
virtual Comparison | CompareValue (const OpalMediaOption &option) const
virtual void | Assign (const OpalMediaOption &option)
PINDEX | GetValue () const
void | SetValue (PINDEX value)
const PStringArray & | GetEnumerations () const
void | SetEnumerations (const PStringArray &e)

## Protected Attributes

PStringArray | m_enumerations
PINDEX | m_value

## Constructor & Destructor Documentation

OpalMediaOptionEnum::OpalMediaOptionEnum | ( | const char * | name,
|  | bool | readOnly |
| ) |  |  |

OpalMediaOptionEnum::OpalMediaOptionEnum | ( | const char * | name,
|  | bool | readOnly,
|  | const char *const * | enumerations,
|  | PINDEX | count,
|  | MergeType | merge = `EqualMerge`,
|  | PINDEX | value = `0` |
| ) |  |  |

## Member Function Documentation

virtual void OpalMediaOptionEnum::Assign | ( | const OpalMediaOption & | option | ) | `[virtual]`

Implements OpalMediaOption.

virtual PObject* OpalMediaOptionEnum::Clone | ( |  | ) | const`[virtual]`

virtual Comparison OpalMediaOptionEnum::CompareValue | ( | const OpalMediaOption & | option | ) | const`[virtual]`

Implements OpalMediaOption.

const PStringArray& OpalMediaOptionEnum::GetEnumerations | ( |  | ) | const`[inline]`

PINDEX OpalMediaOptionEnum::GetValue | ( |  | ) | const`[inline]`

virtual void OpalMediaOptionEnum::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

virtual void OpalMediaOptionEnum::ReadFrom | ( | istream & | strm | ) | `[virtual]`

void OpalMediaOptionEnum::SetEnumerations | ( | const PStringArray & | e | ) | `[inline]`

void OpalMediaOptionEnum::SetValue | ( | PINDEX | value | ) |

## Field Documentation

PStringArray OpalMediaOptionEnum::m_enumerations `[protected]`

PINDEX OpalMediaOptionEnum::m_value `[protected]`

The documentation for this class was generated from the following file:

- mediafmt.h